<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>JS-ADV. Lesson 1. Task 3 </title>
</head>
<body>
  <div class="wrap" id="app"></div>

  <script>

  /*
      Задание:
      Сложить в элементе с id App следующую размету HTML:

      <header>
        <a href="http://google.com.ua">
          <img src="https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png">
        </a>
        <div class="menu">
          <a href="#1"> link 1</a>
          <a href="#1"> link 2</a>
          <a href="#1"> link 3</a>
        </div>
      </header>

      Используя следующие методы для работы:
      getElementById
      createElement
      element.innerText
      element.className
      element.setAttribute
      element.appendChild

  */
      const headerElement = document.createElement('header');
      
      const aElement = document.createElement('a');
      aElement.setAttribute('href', 'http://google.com.ua');
      
      const imgElement = document.createElement('img');
      imgElement.setAttribute('src', "https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png");
      
      const divElement = document.createElement('div');
      divElement.setAttribute('class', 'menu');
      
      const aLink1 = document.createElement("a");
      aLink1.setAttribute('href', '#1');
      aLink1.innerText = ' link 1';

      const aLink2 = document.createElement("a");
      aLink2.setAttribute('href', '#1');
      aLink2.innerText = ' link 2';
      
      const aLink3 = document.createElement("a");
      aLink3.setAttribute('href', '#1');
      aLink3.innerText = ' link 3';

      aElement.appendChild(imgElement);

      divElement.appendChild(aLink1);
      divElement.appendChild(aLink2);
      divElement.appendChild(aLink3);

      headerElement.appendChild(aElement);
      headerElement.appendChild(divElement);

      const appElement = document.getElementById('app');

      appElement.appendChild(headerElement);
  </script>
</body>
</html>
